#! @BASH@
#
echo 1..4 # Number of tests to be executed.
#
. ./cdoTestFunctions.test
#
test -n "$CDO"      || CDO="@abs_top_builddir@/src/cdo $CDO_DEBUG"
test -n "$DATAPATH" || DATAPATH="@abs_top_srcdir@/test/data/"
#
OPERATORS="gp2sp sp2gp gp2spl sp2gpl"
#
FORMAT=""
NTEST=1
#                operator  infile                   abslim
runOperatorTest  "gp2sp"   "$DATAPATH/t21_geosp_tsurf.grb"   ".008"
(( NTEST+=1 ))
runOperatorTest  "sp2gp"   "$DATAPATH/gp2sp_ref"
(( NTEST+=1 ))
runOperatorTest  "gp2spl"  "$DATAPATH/t21_geosp_tsurf.grb"   ".008"
(( NTEST+=1 ))
runOperatorTest  "sp2gpl"  "$DATAPATH/gp2spl_ref"
#
exit 0
